%define name 	sane
%define version 1.0.19
%define release %mkrel 7
%define beta	%nil
#define beta	-pre1
#define beta	.20080121

%define libmajor 1
%define libname %mklibname %{name} %{libmajor}
%define	libname_devel %mklibname %{name} %{libmajor} -d

%define iscanversion 2.10.0

# All sane backends have SONAME libsane.so.1. We do not want
# sane-backends-iscan to provide libsane.so.1, so filter these out.
%define _exclude_files_from_autoprov  %{_libdir}/%{name}/
%define __libtoolize /bin/true

# Setting this makes the /etc/sane.d/dll.conf empty so that scanning apps
# do not search for all existing scanner models which makes their startup
# slow (the user or "scannerdrake" has to insert the names of the really
# installed scanners then)
%define empty_dll_conf 0
# Backend maintainer says to leave gphoto2 disabled for now.
%define gphoto2_support 1
# Switch to disable the compilation of the "primax" backend in case of
# problems
%define primax_support 1
# Switch to disable the compilation of the "epkowa" backend in case of
# problems
%define epkowa_support 1
%ifarch alpha ppc sparc
%define primax_support 0
%endif
# Enable debug mode
%define debug 0

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	SANE - local and remote scanner access
URL:		http://www.sane-project.org/
Source:		ftp://ftp.de.mostang.com/pub/sane/sane-%version/sane-backends-%{version}%{beta}.tar.gz
Source3:        http://belnet.dl.sourceforge.net/sourceforge/px-backend/primaxscan-1.1.beta1.tar.bz2
Source5:	saned-xinetd
Source8:	sane-hotplug-usbscanner
Source9:	http://heanet.dl.sourceforge.net/sourceforge/hp44x0backend/sane_hp_rts88xx-0.18.tar.bz2
Source10:	http://heanet.dl.sourceforge.net/sourceforge/brother-mfc/sane-driver-0.2.tar.bz2
Source11:	http://www.geocities.com/trsh0101/SANE/primascan.h
Source12:	http://www.geocities.com/trsh0101/SANE/primascan.c
# The free part of Epson's scanner driver package IScan, full package
# downloaded from http://www.avasys.jp/english/linux_e/index.html
# Non-free part stripped out with
# mkdir x; cd x; tar -xvzf ../iscan-2.10.0-1.tar.gz; rm -f */non-free/EAPL*.txt */non-free/lib*.so; tar -cvjf ../iscan-2.10.0-1-free.tar.bz2 *; cd ..; rm -rf x
Source13:	iscan-%{iscanversion}-1-free.tar.bz2
Patch1:		sane-backends-1.0.18-plustek-s12.patch
Patch9: 	sane-sparc.patch
Patch17:	sane-backends-1.0.14-perfection2450-timeout.patch
Patch19:	http://heanet.dl.sourceforge.net/sourceforge/geniusvp2/sane-backends-1.0.15-geniusvp2-0.2.1.patch
#Patch20:	http://projects.troy.rollo.name/rt-scanners/hp3500.diff
Patch21:	sane-hp_rts88xx-0.18_fix_link.patch
Patch22:	sane-1.0.19-fix-missing-include-stdlib.patch
Patch23:	iscan-2.10.0-1_fix_link.patch
License: 	GPL
Group:		Graphics
Requires:	%{libname} = %{version}-%{release}
Requires:	sane-backends = %{version}-%{release}
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	X11-devel libjpeg-devel tetex-latex tetex-dvips libtiff-devel libusb-devel >= 0.1.6 libieee1284-devel
BuildRequires:	udev-tools libgtk+2.0-devel
%if %{gphoto2_support}
BuildRequires:	gphoto2-devel
%endif
%if %{epkowa_support}
BuildRequires:	autoconf
%endif

%description
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n %{libname}
Group: 		System/Kernel and hardware
License: 	LGPL
Summary: 	SANE - local and remote scanner access. This package contains the sane library
Provides:	libsane = %{version}-%{release}

%description -n %{libname}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package.

%package -n %{libname_devel}
Group: 		Development/C
License:	LGPL
Summary: 	SANE - local and remote scanner access
Requires: 	%{libname} = %{version}
Provides: 	libsane-devel = %{version}-%{release}
Provides:	sane-devel = %{version}-%{release}
Obsoletes: 	sane-devel

%description -n %{libname_devel}
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains the headers and development libraries necessary 
to develop applications using SANE.

%package backends
Group:		System/Kernel and hardware
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	%{name} = %{version}-%{release}
Suggests:	iscan

%description backends
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

This package contains the backends for different scanners.

%package backends-iscan
Group:		System/Kernel and hardware
License:	LGPL
Summary:	SANE - local and remote scanner access
Provides:	iscan = %{iscanversion}
Conflicts:	sane-backends < 1.0.19-3
Conflicts:	%{libname} < 1.0.19-5

%description backends-iscan
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

This package contains the iscan backend, in order to not conflict with
manufacturer-supplied packages.

%package backends-doc
Summary:	Documentation for SANE backends
Group:		System/Kernel and hardware

%description backends-doc
This package contains the SANE backend documentation for different
scanners.

SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package does not enable network scanning by default; if you wish
to enable it, install the saned package and set up the sane-net backend.

%package -n saned
Group:          System/Kernel and hardware
License:        LGPL
Summary:        SANE - local and remote scanner access
Provides:       %{name} = %{version}-%{release}
Provides:	saned = %{version}-%{release}
Requires:	sane-backends >= 1.0.15-2mdk
Requires:	xinetd
Requires(preun,post):	rpm-helper

%description -n saned
SANE (Scanner Access Now Easy) is a sane and simple interface
to both local and networked scanners and other image acquisition devices
like digital still and video cameras.  SANE currently includes modules for
accessing a range of scanners, including models from Agfa SnapScan, Apple,
Artec, Canon, CoolScan, Epson, HP, Microtek, Mustek, Nikon, Siemens,
Tamarack, UMAX, Connectix, QuickCams and other SANE devices via network.

For the latest information on SANE, the SANE standard definition, and
mailing list access, see http://www.mostang.com/sane/

This package contains saned, a daemon that allows remote clients to
access image acquisition devices available on the local host.

%prep
%setup -q -n sane-backends-%{version}%{beta}

%patch1 -p1 -b .plusteks12

# Patches for non-x86 platforms
%ifarch sparc
%patch9 -p1 -b .sparc
%endif

# "geniusvp2" backend
#patch19 -p1 -b .geniusvp2

# "hp3500" backend
# Patch does not match on file unsupported.desc (change should not affect
# the backend itself), so we force it in
#bzcat %{PATCH20} | patch -p0 -b --suffix .hp3500 -f || :

# Patch to fix USB timeout issues on "epson" backend.
#patch17 -p0 -b .fixepsonusbtimeout

# Fix parallel build (Gwenole)
for a in `find . -name Makefile.in -print`; do \
	perl -p -i -e 's/^(\s*TARGETS\s+=\s+)(\S+)(\s+)(\$\(\S+_LTOBJS\))/$1$4$3$2/' $a; \
done

# Patch for the HP ScanJet 44x0C scanners ("hp_rts88xx" backend)
%setup -q -T -D -a 9 -n sane-backends-%{version}%{beta}
cd sane_hp_rts88xx/sane_hp_rts88xx
./patch-sane.sh $RPM_BUILD_DIR/sane-backends-%{version}%{beta}
cd ../..
%patch21 -p1 -b .hp_rts88xx-0.18-fix_link
echo 'hp_rts88xx' >> backend/dll.conf.in

# Primax parallel port scanners
%if %{primax_support}
%setup -q -T -D -a 3 -n sane-backends-%{version}%{beta}
%endif

# "primascan" backend 
# (commented out in dll.conf, as it claims to support every USB scanner)
cat %{SOURCE11} > backend/primascan.h
cat %{SOURCE12} > backend/primascan.c
perl -p -i -e 's:(BACKENDS=\"):$1primascan :' configure.in
# <mrl> avoid autoconf by applying change to configure too.
perl -p -i -e 's:(BACKENDS=\"):$1primascan :' configure
perl -p -i -e 's:(DISTFILES\s*=\s*):$1primascan.h primascan.c :' backend/Makefile.in
echo '#primascan' >> backend/dll.conf.in
#autoconf

# Scanners in some Brother MF devices
#setup -q -T -D -a 10 -n sane-backends-%{version}%{beta}

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
%setup -q -T -D -a 13 -n sane-backends-%{version}%{beta}
%endif

# lib64 fixes (avoid patch)
# NOTE: don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /LDFLAGS=.*with_ptal/" configure

# Reduce number of retries done by the "snapscan" backend when accessing
# the scanner
perl -p -i -e 's:for \(retries = 20; retries; retries--\):for (retries = 5; retries; retries--):' backend/snapscan-scsi.c

%patch22 -p1 -b .fix-missing-include-stdlib
%patch23 -p1 -b .iscan-2.10.0-1_fix_link

# Remove the backend/dll.conf file generated by the patches, it prevents
# the Makefile from generating  the real dll.conf file
rm -f backend/dll.conf

# (ugly, but needed) cleanup, otherwise x86_64 won't build
rm -f tools/sane-desc.o

%build

%if %debug
export DONT_STRIP=1
CFLAGS="-g" CXXFLAGS="-g" \
%endif
%if %{gphoto2_support}
%configure --with-gphoto2=%{_prefix}
%else
%configure --without-gphoto2
%endif

# glibc 2.1 has stpcpy, but sane's configure is apparently unable to detect it.
perl -p -i -e "s|\/\* #undef HAVE_STPCPY \*\/|#define HAVE_STPCPY 1|" include/sane/config.h

# Do not use macros here (with percent in the beginning) as parallelized
# build does not work
make
make -C doc sane.ps.gz

# Primax parallel port scanners
%if %{primax_support}
chmod a+rx tools/sane-config
cd primaxscan*
PATH=`pwd`/../tools:${PATH}
CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/.libs/"\
#CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include/sane -L`pwd`/../backend/.libs/"\
%configure
%make
%make primax_scan
cd ..
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
chmod a+rx tools/sane-config
PATH=`pwd`/tools:${PATH}
cd iscan-%{iscanversion}
autoconf
export CFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC"
export CXXFLAGS="${RPM_OPT_FLAGS/-ffast-math/} -I`pwd`/../include -L`pwd`/../backend/ -fPIC"
%configure --disable-frontend
%make
cd ..
%endif



%install

%if %debug
export DONT_STRIP=1
%endif

rm -rf %{buildroot}
%makeinstall

# Create missing lock dir
install -d %{buildroot}/var/lib/lock/sane

#mv %{buildroot}/%{_sbindir}/saned %{buildroot}/%{_sbindir}/in.saned
#install -m 755 tools/sane-find-scanner %{buildroot}/%{_bindir}
perl -pi -e "s/installed.*/installed=yes/g" %{buildroot}%{_libdir}/libsane.la
/sbin/ldconfig -n %{buildroot}%{_libdir} %{buildroot}%{_libdir}/sane

# Comment out entry for the "geniusvp2" backend in
# /etc/sane.d/dll.conf as it makes SANE hanging on some systems when
# the appropriate scanner is not present
perl -p -i -e 's/^(\s*geniusvp2)/\#$1/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Comment out entry for the "epson" backend in /etc/sane.d/dll.conf as
# we have also Epson's "epkowa" backend which supports the same
# scanners
perl -p -i -e 's/^(\s*epson)/\#$1/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

# Remove "hpoj" line from /etc/sane.d/dll.con
perl -p -i -e 's/HP\s+OfficeJet/HPLIP/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj.sf.net/hplip.sf.net/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf
perl -p -i -e 's/hpoj/hpaio/g' %{buildroot}%{_sysconfdir}/sane.d/dll.conf

%if %{empty_dll_conf}
# The /etc/sane.d/dll.conf contains lines for every backend, so every
# backend probes for a scanner when a SANE frontend (e. g. xsane) is
# started. With this the user has always to wait around one minute
# before he can scan. We simply replace the file by a nearly empty one
# and let scannerdrake only insert the needed backends. So the
# frontends will start immediately
mv %{buildroot}%{_sysconfdir}/sane.d/dll.conf %{buildroot}%{_sysconfdir}/sane.d/dll.conf.orig
cat > %{buildroot}%{_sysconfdir}/sane.d/dll.conf <<EOF
# enable the next line if you want to allow access through the network:
net
EOF
%endif

# Remove /usr/lib/libsane.a, it is a broken symlink
#rm -f %{buildroot}%{_libdir}/libsane.a

# Move documentation from /usr/doc to /usr/share/doc
install -d %{buildroot}%{_docdir}/sane-backends-%version/
install -d %{buildroot}%{_docdir}/sane-backends-doc-%version/
pushd %{buildroot}/usr/doc/sane-%{version}
#pushd %{buildroot}/usr/doc/sane-1.0.18-cvs
mv `find -mindepth 1 -type d` *.dvi *.html *.ps *.txt %{buildroot}%{_docdir}/sane-backends-doc-%version/
mv README README.linux %{buildroot}%{_docdir}/sane-backends-%version/
rm -f README.*
mv * %{buildroot}%{_docdir}/sane-backends-%version/
popd

# Primax parallel port scanners
%if %{primax_support}
cd primaxscan*
%makeinstall
rm -f %{buildroot}%{_libdir}/libsane-primax.a
mv %{buildroot}%{_libdir}/libsane-primax* %{buildroot}%{_libdir}/sane/
cp primax_scan %{buildroot}%{_bindir}
cd ..
%endif

# Epson Avasys driver for Epson scanners
%if %{epkowa_support}
cd iscan-%{iscanversion}
%makeinstall
rm -f %{buildroot}%{_libdir}/sane/libsane-epkowa.a
rm -f %{buildroot}%{_mandir}/man1/iscan.1*
rm -rf %{buildroot}%{_libdir}/iscan
cp backend/epkowa.conf %{buildroot}%{_sysconfdir}/sane.d/
echo 'epkowa' >> %{buildroot}%{_sysconfdir}/sane.d/dll.conf
cd ..
%endif

# Xinetd.d entry
mkdir %{buildroot}/etc/xinetd.d
cat %{SOURCE5} > %{buildroot}/etc/xinetd.d/saned

# udev rules and agents for libusb user support
mkdir -p %{buildroot}%{_sysconfdir}/udev/rules.d
#/usr/sbin/udev_import_usermap --no-modprobe usb tools/hotplug/libsane.usermap > %{buildroot}%{_sysconfdir}/udev/rules.d/70-libusbscanner.rules
install -m644 tools/udev/libsane.rules %{buildroot}%{_sysconfdir}/udev/rules.d/70-libsane.rules
# Let /etc/udev/agents.d/usb/libusbscanner script be run
perl -p -i -e 's:GROUP="scanner":RUN+="libusbscanner":' %{buildroot}%{_sysconfdir}/udev/rules.d/70-libsane.rules
mkdir -p %{buildroot}/lib/udev/
install -m755 %{SOURCE8} %{buildroot}/lib/udev/libusbscanner
# Shorten too long comments
perl -p -i -e 's/(\#.{500}).*$/$1 .../' %{buildroot}%{_sysconfdir}/udev/rules.d/70-libsane.rules

%find_lang sane-backends
%find_lang iscan

sed -i '/^%dir/d' sane-backends.lang iscan.lang

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%post -n saned
%_post_service saned

%pre -n saned
# Add saned to group cdwriter and ub for scanner access.
/usr/sbin/useradd -r -M -s /bin/false  -c "system user for saned" saned -G cdwriter,usb || :
#%_pre_useradd saned /etc/sane.d /bin/false

%preun -n saned
%_preun_service saned

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif
%postun -n saned
%_postun_userdel saned

%clean
rm -rf %{buildroot}

%files backends -f sane-backends.lang
%defattr(-,root,root,755)
%doc %{_docdir}/sane-backends-%version
%{_bindir}/sane-find-scanner
%{_bindir}/scanimage
%{_bindir}/gamma4scanimage
%if %{primax_support}
%{_bindir}/primax_scan
%endif
%{_mandir}/man1/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%dir %{_sysconfdir}/sane.d
#config(noreplace) %{_sysconfdir}/sane.d/*[^saned]
%config(noreplace) %{_sysconfdir}/sane.d/*
/lib/udev/libusbscanner
#{_sysconfdir}/udev/agents.d/usb/libusbscanner
%{_sysconfdir}/udev/rules.d/70-libsane.rules
%attr(1777,root,root) %dir /var/lib/lock/sane
# iscan files
%exclude %_sysconfdir/sane.d/epkowa.conf
%exclude %_mandir/man5/sane-epkowa.5*

%files backends-iscan -f iscan.lang
%defattr(-,root,root,755)
%_libdir/sane/libsane-epkowa.*
%_sysconfdir/sane.d/epkowa.conf
%_mandir/man5/sane-epkowa.5*

%files backends-doc
%defattr(-,root,root,755)
%doc %{_docdir}/sane-backends-doc-%version

%files -n %{libname}
%defattr(-,root,root,755)
%{_libdir}/*.so.*
%dir %{_libdir}/sane
%{_libdir}/sane/*.so.*
%exclude %_libdir/sane/libsane-epkowa.*

%files -n %{libname_devel}
%defattr(-,root,root,755)
%{_bindir}/sane-config
#%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
#%{_libdir}/sane/*.a
%{_libdir}/sane/*.la
%{_libdir}/sane/*.so
%{_includedir}/sane

%files -n saned
%defattr(-,root,root,755)
%{_sbindir}/*
%{_mandir}/man8/saned*
#config(noreplace) %{_sysconfdir}/sane.d/saned.conf
%attr(644,root,root) %config(noreplace) %{_sysconfdir}/xinetd.d/saned


%changelog
* Fri Aug 29 2008 Olivier Blin <oblin@mandriva.com> 1.0.19-7mdv2009.0
+ Revision: 277380
- install udev helpers in /lib/udev (this is the default on x86_64 too now, as per upstream)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Tiago Salem <salem@mandriva.com.br> 1.0.19-5mdv2009.0
+ Revision: 211724
- add some patches to be able build using gcc 4.3
- Fixing conflicts entry in sane-backends-iscan
- bump release
- Moving %%exclude of epkowa to the right package
- Adding Conflicts entry to sane-backends-iscan subpackage

* Sun May 18 2008 Frederik Himpe <fhimpe@mandriva.org> 1.0.19-4mdv2009.0
+ Revision: 208672
- All sane-backends in %%_libdir/sane have SONAME libsane.so.1. Because
  of this, sane-backends-iscan provides libsane.so.1, which can break
  correct dependencies. To fix this, we now ignore the provides of the
  sane backend so files.

* Tue Feb 19 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.19-3mdv2008.1
+ Revision: 173006
- Split out iscan files to sane-backends-iscan. Closes: #26470

* Mon Feb 18 2008 Olivier Blin <oblin@mandriva.com> 1.0.19-2mdv2008.1
+ Revision: 171892
- do not let the udev/dynamic helper hang boot (#37460)

* Mon Feb 11 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.19-1mdv2008.1
+ Revision: 165411
- New upstream: 1.0.19

* Thu Feb 07 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.18-14mdv2008.1
+ Revision: 163708
- Bunziped saned-xinetd.
- Bunziped primascan sources.
- Update iscan to 2.10.0.

* Tue Jan 22 2008 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.18-13mdv2008.1
+ Revision: 156370
- Fix x86_64 build.
- Uses cvs checkout frmo today, as current stable release is too old and
  missing drivers from recent devices. See #36962

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel

* Wed Oct 03 2007 Funda Wang <fundawang@mandriva.org> 1.0.18-12mdv2008.0
+ Revision: 94971
- fix provides of iscan

* Thu Sep 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.0.18-11mdv2008.0
+ Revision: 91406
- Added patch plustek-s12 to support plustek s12. Closes: #26491


* Tue Jan 30 2007 Olivier Blin <oblin@mandriva.com> 1.0.18-10mdv2007.0
+ Revision: 115312
- remove bogus provides in backends-doc
- split backends doc in sane-backends-doc package

* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 1.0.18-8mdv2007.1
+ Revision: 108211
- Import sane

* Sat Jan 13 2007 Gtz Waschk <waschk@mandriva.org> 1.0.18-8mdv2007.1
- use find-lang

* Tue Sep 19 2006 Till Kamppeter <till@mandriva.com> 1.0.18-7mdv2007.0
- Building the sane package was only working on machines with
  libsane-devel installed, added missing paths to the CXXFLAGS of
  IScan to fix this.

* Mon Sep 18 2006 Till Kamppeter <till@mandriva.com> 1.0.18-6mdv2007.0
- More 64-bit fixes for IScan build.

* Sat Sep 16 2006 Till Kamppeter <till@mandriva.com> 1.0.18-5mdv2007.0
- Added "BuildRequires: gtp+-2.0-devel", needed by the configure script
  of the "epkowa" driver.
- Added explicit "-fPIC" to compiler flags of IScan compilation (needed
  to build on 64-bit systems).

* Thu Jul 27 2006 Till Kamppeter <till@mandriva.com> 1.0.18-4mdv2007.0
- Shorten too long comment lines in udev rules file (bug 23509).

* Wed Jul 05 2006 Till Kamppeter <till@mandriva.com> 1.0.18-3mdv2007.0
- Moved the udev script "libusbscanner" to the standard location
  /lib/udev.

* Tue Jul 04 2006 Till Kamppeter <till@mandriva.com> 1.0.18-2mdv2007.0
- Added the "epkowa" backend from Epson Avasys (Source 13).
- Commented out "epson" backend in dll.conf, it is replaced by Epson's
  "epkowa" backend.
- Added "Provides: iscan" so that Epson's plug-in RPMs (closed-source
  modules, firmware files) can be installed without problems.

* Tue Jul 04 2006 Till Kamppeter <till@mandriva.com> 1.0.18-1mdv2007.0
- Updated to SANE 1.0.18 (New backends: "dell1600n_net" (Dell 1600n),
  "hp3500" (HP ScanJet 3500 series), "pixma" (Canon Pixma series), "stv680" 
  (Aiptek Pencam and similar); updated backends: "avision", "canon", "dll",
  "epson", "fujitsu", "genesys", "gt68xx", "microtek2", "mustek_pp",
  "niash", "plustek", "snapscan", "sp15c", "test", "u12", "umax1220u";
  scanimage batch mode fixes; scanner lists contain USB vendor/product ids 
  and some statistics now; udev/hotplug lists are generated autmatically
  from the .desc files now; updated translations; ocumentation updates;
  bugfixes).
- Removed patch 20 ("hp3500" backend merged upstream).
- Use udev rules file provided by SANE, but let libusbscanner script be
  run.
- We have a backend/dll.conf.in file now, and backend/dll.conf gets
  generated by the Makefile. This works only when the patches do not
  already create backend/dll.conf. Removed the backend/dll.conf
  generated by the patches and applied the changes from the patches
  in the backend/dll.conf.in file.

* Mon Feb 27 2006 Till Kamppeter <till@mandriva.com> 1.0.17-4mdk
- Updated /etc/xinetd.d/saned to new /etc/services file (service name
  moved from "sane" to "sane-port", bug 21128),

* Mon Feb 27 2006 Till Kamppeter <till@mandriva.com> 1.0.17-3mdk
- Introduced %%mkrel.

* Wed Jan 04 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.17-2mdk
- rebuilt against new net-snmp with new major (10)

* Mon Dec 19 2005 Till Kamppeter <till@mandriva.com> 1.0.17-1mdk
- Updated to SANE 1.0.17 (New backends: "hp4200" (HP ScanJet 4200), 
  "lexmark" (Lexmark X1100 series), "mustek_usb2" (Mustek BearPaw 2448
  TA Pro); updated backends: "artec_eplus48u", "avision", "canon", "epson",
  "fujitsu", "genesys", "gt68xx", "microtek2", "mustek_pp", "plustek",
  "plustek_pp", "sm3600", "snapscan", "umax_pp"; hotplug/udev updates;
  scanimage fixes; sane-find-scanner finds more chipsets; updated
  translations; documentation updates; bugfixes).
- Removed patch 14 ("hp4200" backend is now standard part of SANE).
- Added "hp3500" backend (patch 20).
- Added "primascan" backend (sources 11 and 12).

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0.16-6mdk
- rebuilt against openssl-0.9.8a

* Sat Sep 03 2005 Olivier Blin <oblin@mandriva.com> 1.0.16-5mdk
- fix BuildRequires: udev_import_usermap is now in udev-tools

* Fri Sep 02 2005 Olivier Blin <oblin@mandriva.com> 1.0.16-4mdk
- Source8: handle udev events (PHYSDEVBUS=usb) and simplify

* Sun Aug 28 2005 Olivier Blin <oblin@mandriva.com> 1.0.16-3mdk
- move hotplug usermaps to udev rules
- move libusbscanner script to /etc/udev/agents.d/usb/

* Sun Aug 14 2005 Till Kamppeter <till@mandriva.com> 1.0.16-2mdk
- Added missing lock directory: /var/lib/lock/sane

* Sun Aug 14 2005 Till Kamppeter <till@mandriva.com> 1.0.16-1mdk
- Updated to SANE 1.0.16 (New backends: "genesys", "sm3840"; updated 
  backends: "avision", "canon", "coolscan", "epson", "gphoto2", "gt68xx", 
  "mustek", "mustek_pp", "niash", "plustek", "plustek_pp", "qcam",
  "sm3600", "snapscan", "teco2", "umax_pp", "v4l"; more functionality/fixes
  for sanei_usb and sanei_pp; added sanei_access to allow locking of SANE
  devices; hotplug updates; scanimage updates; portability fixes; added 
  Polish translation; updated other translations; fixed format strings;
  documentation updates; bugfixes).
- "geniusvp2" backend temporarily deactivated. Patch does not fit well onto 
  1.0.16.

* Fri Mar 18 2005 Till Kamppeter <till@mandrakesoft.com> 1.0.15-7mdk
- Removed Patch 17 (USB timeout issues on "epson" backend) to fix bug
  14424.

* Wed Mar 16 2005 Till Kamppeter <till@mandrakesoft.com> 1.0.15-6mdk
- Commented out entry for the "geniusvp2" in /etc/sane.d/dll.conf as it
  makes SANE hanging on some systems when the appropriate scanner is not
  present (bug 14639).

* Thu Feb 17 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.15-5mdk
- rebuild with new libusb

* Mon Feb 14 2005 Till Kamppeter <till@mandrakesoft.com> 1.0.15-4mdk
- Added "geniusvp2" backend to support the Genius ColorPage-Vivid Pro II
  scanner.
- Added "hp_rts88xx" backend to support the HP ScanJet 44x0C scanners.
- Added "sm3840" backend to support the Microtek ScanMaker 3840 scanner.
- Removed patch to introduce "niash" backend. "niash" is already included
  in SANE.
- Not built in debug mode anymore.
- Some clean-up.

* Wed Dec 29 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.15-3mdk
- rebuild with libexif 0.6.x

* Wed Nov 24 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.15-2mdk
- Both saned and sane-backends claimed ownership on /etc/sane.d/saned.conf
  due to the expression "*[^saned]" in the %%files section not supported
  any more by RPM. Transferred the file  /etc/sane.d/saned.conf to the
  sane-backends package.

* Tue Nov 09 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.15-1mdk
- Updated to SANE 1.0.15 final.

* Tue Oct 19 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.15-0.1mdk
- Updated to SANE 1.0.15-pre1 (New backends: "niash"; updated backends: 
  "agfafocus", "artec_eplus48u", "avision", "canon", "canon_pp",
  "coolscan", "dll", "epson", "fujitsu", "gt68xx", "hp", "hp5400",
  "leo", "microtek2", "mustek", "mustek_pp", "net", "pie", "plustek",
  "plustek_pp", "snapscan", "sp15c", "tamarack", "teco2", "umax",
  "umax_pp", "u12", "v4l"; sane-find-scanner detects more chipsets now; 
  finnish translation. translations updates; saned fixes; documentation
  updates; bugfixes).
- Uncompressed patches.

* Thu Aug 19 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.14-3mdk
- Added patch to remove the accidentally introduced device IDs for the Epson
  Perfection 1250 and 1260 from the "epson" backend.
- Added patch to fix USB timeout issues on "epson" backend.

* Wed May 05 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.14-2mdk
- put back our hotplug script

* Tue May 04 2004 Till Kamppeter <till@mandrakesoft.com> 1.0.14-1mdk
- Updated to SANE 1.0.14 (New backends: "u12"; updated backends: "artec", 
  "artec_eplus48u", "as6e", "avision", "canon630u", "canon_pp", "epson",
  "fujitsu", "gphoto2", "gt68xx", "hp", "matsushita", "mustek", "mustek_pp",
  "mustek_usb", "plustek", "plustek_pp", "sm3600", "snapscan", "teco1",
  "teco2", "u12", "umax", "umax_pp", "v4l"; new USB hot-plugging script; 
  usb-find-scanner recognizes more hardware; support for danish language; 
  bugfixes).
- Switched to SANE's own hotplug infrastructure (needs to be merged with 
  dynamic stuff of Mandrakelinux).
- This SANE package needs kernel 2.6.6-rc2, on older 2.6.x kernels it hangs
  on the "epson" (one can also comment it out in /etc/sane.d/dll.conf).

* Tue Mar 30 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.13-8mdk
- don't call dynamic stuff multiple times

* Thu Mar 25 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.0.13-7mdk
- call dynamic stuff in usb script

* Mon Mar 01 2004 Marcel Pol <mpol@mandrake.org> 1.0.13-6mdk
- include hotplug files again, needed after all

* Thu Feb 26 2004 Marcel Pol <mpol@mandrake.org> 1.0.13-5mdk
- revert last change, pam deals with it

* Thu Feb 12 2004 Marcel Pol <mpol@mandrake.org> 1.0.13-4mdk
- add usb.usermap and hotplug script for libusb user support

